Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.wbem.cim
Class CIMPropertyException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--com.sun.wbem.cim.CIMException
                        |
                        +--com.sun.wbem.cim.CIMSemanticException
                              |
                              +--com.sun.wbem.cim.CIMPropertyException

public class CIMPropertyException
extends CIMSemanticException

Exception class representing property exceptions that occur in a CIM property.

Since:
  WBEM 1.0
See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `CLASS_REFERENCE` A non-association class is defined with a reference as a property.
`static java.lang.String` | `KEY_OVERRIDE` A non-key is overriding a key.
`static java.lang.String` | `NEW_KEY` A class is trying to define a new key.
`static java.lang.String` | `NO_OVERRIDDEN_PROPERTY` The overridden property does not exist in the class hierarchy.
`static java.lang.String` | `PROPERTY_OVERRIDDEN` The overridden property has already been overridden.

Fields inherited from class com.sun.wbem.cim.CIMSemanticException
`INVALID_QUALIFIER_NAME, NO_QUALIFIER_VALUE, NO_SUCH_QUALIFIER1, NO_SUCH_QUALIFIER2, QUALIFIER_UNOVERRIDABLE, SCOPE_ERROR, TYPE_ERROR`

Fields inherited from class com.sun.wbem.cim.CIMException
`CIM_ERR_ALREADY_EXISTS, CIM_ERR_CLASS_HAS_CHILDREN, CIM_ERR_CLASS_HAS_INSTANCES, CIM_ERR_FAILED, CIM_ERR_INVALID_CLASS, CIM_ERR_INVALID_NAMESPACE, CIM_ERR_INVALID_PARAMETER, CIM_ERR_INVALID_QUERY, CIM_ERR_LOW_ON_MEMORY, CIM_ERR_NOT_FOUND, CIM_ERR_NOT_SUPPORTED, DEFAULT, PDEFAULT, VER_ERROR`

Constructor Summary
`CIMPropertyException()` Creates a CIMPropertyException with no detail message.
`CIMPropertyException(java.lang.String s)` Creates a CIMPropertyException with the specified message.
`CIMPropertyException(java.lang.String s, java.lang.Object param)` Creates a CIMPropertyException with the specified message and one exception parameter.
`CIMPropertyException(java.lang.String s, java.lang.Object[] param)` Creates a CIMPropertyException with the specified message and an array of exception parameters.
`CIMPropertyException(java.lang.String s, java.lang.Object param1, java.lang.Object param2)` Creates a CIMPropertyException with the specified message and two exception parameters.
`CIMPropertyException(java.lang.String s, java.lang.Object param1, java.lang.Object param2, java.lang.Object param3)` Creates a CIMPropertyException with the specified message and three exception parameters.

Methods inherited from class com.sun.wbem.cim.CIMException
`getID, getParams, getXmlCode, getXmlCode, isXmlCode, setParams, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, printStackTrace, printStackTrace, printStackTrace`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### NO_OVERRIDDEN_PROPERTY

    public static final java.lang.String NO_OVERRIDDEN_PROPERTY

  The overridden property does not exist in the class hierarchy. This error message uses two parameters, the overriding property name, and the overridden property name.

### PROPERTY_OVERRIDDEN

    public static final java.lang.String PROPERTY_OVERRIDDEN

  The overridden property has already been overridden. This error message use three parameters, the property which is doing the overriding, the overridden property, the property it has been overridden by.

### KEY_OVERRIDE

    public static final java.lang.String KEY_OVERRIDE

  A non-key is overriding a key. This is not allowed in CIM. This error message uses two parameters, the overriding and overridden property names.

### CLASS_REFERENCE

    public static final java.lang.String CLASS_REFERENCE

  A non-association class is defined with a reference as a property. In CIM, only associations can have references. This error message uses two parameters, the name of the reference and the name of the class which is trying to define the reference.

### NEW_KEY

    public static final java.lang.String NEW_KEY

  A class is trying to define a new key. In CIM once keys have been defined, we cannot introduce new keys in the class hierarchy. This error message uses two parameters, the name of the new key property and the name of the class which is trying to define the new key.

Constructor Detail

### CIMPropertyException

    public CIMPropertyException()

  Creates a CIMPropertyException with no detail message.

### CIMPropertyException

    public CIMPropertyException(java.lang.String s)

  Creates a CIMPropertyException with the specified message.
  Parameters:
    `s` - the detail message.

### CIMPropertyException

    public CIMPropertyException(java.lang.String s,
                                java.lang.Object param)

  Creates a CIMPropertyException with the specified message and one exception parameter.
  Parameters:
    `s` - the detail message.
    `param` - exception parameter.

### CIMPropertyException

    public CIMPropertyException(java.lang.String s,
                                java.lang.Object param1,
                                java.lang.Object param2)

  Creates a CIMPropertyException with the specified message and two exception parameters.
  Parameters:
    `s` - the detail message.
    `param1` - first Exception parameter.
    `param2` - second Exception parameter.

### CIMPropertyException

    public CIMPropertyException(java.lang.String s,
                                java.lang.Object param1,
                                java.lang.Object param2,
                                java.lang.Object param3)

  Creates a CIMPropertyException with the specified message and three exception parameters.
  Parameters:
    `s` - the detail message.
    `param1` - first Exception parameter.
    `param2` - second Exception parameter.
    `param3` - third Exception parameter.

### CIMPropertyException

    public CIMPropertyException(java.lang.String s,
                                java.lang.Object[] param)

  Creates a CIMPropertyException with the specified message and an array of exception parameters.
  Parameters:
    `s` - the detail message.
    `param` - Array of exception parameters

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD